searchNodes=[{"ref":"SNMP.html","title":"SNMP","type":"module","doc":"An SNMP client library for Elixir."},{"ref":"SNMP.html#credential/1","title":"SNMP.credential/1","type":"function","doc":"Returns a keyword list containing the given SNMP credentials. Example iex&gt; SNMP.credential(%{community: &quot;public&quot;}) %SNMP.CommunityCredential{community: &#39;public&#39;} iex&gt; SNMP.credential( ...&gt; %{version: :v2, community: &quot;public&quot;} ...&gt; ) %SNMP.CommunityCredential{ version: :v2, sec_model: :v2c, community: &#39;public&#39;, } iex&gt; SNMP.credential(%{sec_name: &quot;user&quot;}) %SNMP.USMCredential{sec_name: &#39;user&#39;} iex&gt; SNMP.credential( ...&gt; %{sec_name: &quot;user&quot;, ...&gt; auth: :sha, ...&gt; auth_pass: &quot;authpass&quot;, ...&gt; } ...&gt; ) %SNMP.USMCredential{ sec_name: &#39;user&#39;, sec_level: :authNoPriv, auth: :usmHMACSHAAuthProtocol, auth_pass: &#39;authpass&#39;, } iex&gt; SNMP.credential( ...&gt; %{sec_name: &quot;user&quot;, ...&gt; auth: :sha, ...&gt; auth_pass: &quot;authpass&quot;, ...&gt; priv: :aes, ...&gt; priv_pass: &quot;privpass&quot;, ...&gt; } ...&gt; ) %SNMP.USMCredential{ sec_name: &#39;user&#39;, sec_level: :authPriv, auth: :usmHMACSHAAuthProtocol, auth_pass: &#39;authpass&#39;, priv: :usmAesCfb128Protocol, priv_pass: &#39;privpass&#39;, }"},{"ref":"SNMP.html#list_oid_to_string/1","title":"SNMP.list_oid_to_string/1","type":"function","doc":"Converts oid to dot-delimited string. Example iex&gt; SNMP.list_oid_to_string([1,3,6,1,2,1,1,5,0]) &quot;1.3.6.1.2.1.1.5.0&quot;"},{"ref":"SNMP.html#load_mib/1","title":"SNMP.load_mib/1","type":"function","doc":""},{"ref":"SNMP.html#load_mib!/1","title":"SNMP.load_mib!/1","type":"function","doc":""},{"ref":"SNMP.html#request/2","title":"SNMP.request/2","type":"function","doc":""},{"ref":"SNMP.html#resolve_object_name_to_oid/1","title":"SNMP.resolve_object_name_to_oid/1","type":"function","doc":""},{"ref":"SNMP.html#start/0","title":"SNMP.start/0","type":"function","doc":""},{"ref":"SNMP.html#start/2","title":"SNMP.start/2","type":"function","doc":"Called when an application is started. This function is called when an application is started using Application.start/2 (and functions on top of that, such as Application.ensure_started/2). This function should start the top-level process of the application (which should be the top supervisor of the application&#39;s supervision tree if the application follows the OTP design principles around supervision). start_type defines how the application is started: :normal - used if the startup is a normal startup or if the application is distributed and is started on the current node because of a failover from another node and the application specification key :start_phases is :undefined. {:takeover, node} - used if the application is distributed and is started on the current node because of a failover on the node node. {:failover, node} - used if the application is distributed and is started on the current node because of a failover on node node, and the application specification key :start_phases is not :undefined. start_args are the arguments passed to the application in the :mod specification key (e.g., mod: {MyApp, [:my_args]}). This function should either return {:ok, pid} or {:ok, pid, state} if startup is successful. pid should be the PID of the top supervisor. state can be an arbitrary term, and if omitted will default to []; if the application is later stopped, state is passed to the stop/1 callback (see the documentation for the c:stop/1 callback for more information). use Application provides no default implementation for the start/2 callback. Callback implementation for Application.start/2."},{"ref":"SNMP.html#string_oid_to_list/1","title":"SNMP.string_oid_to_list/1","type":"function","doc":"Converts dot-delimited oid string to list. Example iex&gt; SNMP.string_oid_to_list(&quot;1.3.6.1.2.1.1.5.0&quot;) [1,3,6,1,2,1,1,5,0]"},{"ref":"SNMP.html#walk/4","title":"SNMP.walk/4","type":"function","doc":""},{"ref":"SNMP.html#t:asn1_type/0","title":"SNMP.asn1_type/0","type":"type","doc":""},{"ref":"SNMP.html#t:asn1_value/0","title":"SNMP.asn1_value/0","type":"type","doc":""},{"ref":"SNMP.html#t:credential/0","title":"SNMP.credential/0","type":"type","doc":""},{"ref":"SNMP.html#t:mib_name/0","title":"SNMP.mib_name/0","type":"type","doc":""},{"ref":"SNMP.html#t:object_id/0","title":"SNMP.object_id/0","type":"type","doc":""},{"ref":"SNMP.html#t:object_name/0","title":"SNMP.object_name/0","type":"type","doc":""},{"ref":"SNMP.html#t:req_options/0","title":"SNMP.req_options/0","type":"type","doc":""},{"ref":"SNMP.html#t:req_params/0","title":"SNMP.req_params/0","type":"type","doc":""},{"ref":"SNMP.html#t:req_varbind/0","title":"SNMP.req_varbind/0","type":"type","doc":""},{"ref":"SNMP.html#t:request_result/0","title":"SNMP.request_result/0","type":"type","doc":""},{"ref":"SNMP.html#t:snmp_credential/0","title":"SNMP.snmp_credential/0","type":"type","doc":""},{"ref":"SNMP.html#t:varbind/0","title":"SNMP.varbind/0","type":"type","doc":""},{"ref":"SNMP.CommunityCredential.html","title":"SNMP.CommunityCredential","type":"module","doc":""},{"ref":"SNMP.CommunityCredential.html#t:t/0","title":"SNMP.CommunityCredential.t/0","type":"type","doc":""},{"ref":"SNMP.DiscoveryAgent.html","title":"SNMP.DiscoveryAgent","type":"module","doc":"Provides abstractions to SNMP engine discovery through snmp agent"},{"ref":"SNMP.DiscoveryAgent.html#child_spec/1","title":"SNMP.DiscoveryAgent.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"SNMP.DiscoveryAgent.html#configure_discovery/0","title":"SNMP.DiscoveryAgent.configure_discovery/0","type":"function","doc":""},{"ref":"SNMP.DiscoveryAgent.html#discover_engine_id/2","title":"SNMP.DiscoveryAgent.discover_engine_id/2","type":"function","doc":""},{"ref":"SNMP.DiscoveryAgent.html#init/1","title":"SNMP.DiscoveryAgent.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state}, except that it also sets a timeout. See the &quot;Timeouts&quot; section in the module documentation for more information. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"SNMP.DiscoveryAgent.html#seed_agent_config/1","title":"SNMP.DiscoveryAgent.seed_agent_config/1","type":"function","doc":""},{"ref":"SNMP.DiscoveryAgent.html#seed_config/1","title":"SNMP.DiscoveryAgent.seed_config/1","type":"function","doc":""},{"ref":"SNMP.DiscoveryAgent.html#seed_standard_config/1","title":"SNMP.DiscoveryAgent.seed_standard_config/1","type":"function","doc":""},{"ref":"SNMP.DiscoveryAgent.html#start_agent/0","title":"SNMP.DiscoveryAgent.start_agent/0","type":"function","doc":""},{"ref":"SNMP.DiscoveryAgent.html#start_link/2","title":"SNMP.DiscoveryAgent.start_link/2","type":"function","doc":""},{"ref":"SNMP.DiscoveryAgent.html#t:engine_id/0","title":"SNMP.DiscoveryAgent.engine_id/0","type":"type","doc":""},{"ref":"SNMP.DiscoveryAgent.html#t:opts/0","title":"SNMP.DiscoveryAgent.opts/0","type":"type","doc":""},{"ref":"SNMP.DiscoveryAgent.html#t:uri/0","title":"SNMP.DiscoveryAgent.uri/0","type":"type","doc":""},{"ref":"SNMP.MIB.html","title":"SNMP.MIB","type":"module","doc":"Functions for working with SNMP MIBs."},{"ref":"SNMP.MIB.html#compile/2","title":"SNMP.MIB.compile/2","type":"function","doc":"Compile the MIB in mib_file with includes from include_paths."},{"ref":"SNMP.MIB.html#compile_all/1","title":"SNMP.MIB.compile_all/1","type":"function","doc":"Compile all .mib files in mib_dirs."},{"ref":"SNMP.MIB.html#t:include_paths/0","title":"SNMP.MIB.include_paths/0","type":"type","doc":""},{"ref":"SNMP.MIB.html#t:mib_dir/0","title":"SNMP.MIB.mib_dir/0","type":"type","doc":""},{"ref":"SNMP.MIB.html#t:mib_file/0","title":"SNMP.MIB.mib_file/0","type":"type","doc":""},{"ref":"SNMP.USMCredential.html","title":"SNMP.USMCredential","type":"module","doc":""},{"ref":"SNMP.USMCredential.html#t:t/0","title":"SNMP.USMCredential.t/0","type":"type","doc":""}]